function $AdfRichTextEditorBehaviorManager$$() {
  this.Init();
  this.$_queuedBindings$ = [];
  this.$_registeredComponents$ = [];
}
$goog$exportSymbol$$("AdfRichTextEditorBehaviorManager", $AdfRichTextEditorBehaviorManager$$);
$AdfObject$$.$createSubclass$($AdfRichTextEditorBehaviorManager$$);
$AdfRichTextEditorBehaviorManager$$.$getInstance$ = function $$AdfRichTextEditorBehaviorManager$$$$getInstance$$() {
  void 0 == $AdfRichTextEditorBehaviorManager$$.$_INSTANCE$ && ($AdfRichTextEditorBehaviorManager$$.$_INSTANCE$ = new $AdfRichTextEditorBehaviorManager$$);
  return $AdfRichTextEditorBehaviorManager$$.$_INSTANCE$;
};
$goog$exportSymbol$$("AdfRichTextEditorBehaviorManager.getInstance", $AdfRichTextEditorBehaviorManager$$.$getInstance$);
$AdfRichTextEditorBehaviorManager$$.prototype.$addBinding$ = function $$AdfRichTextEditorBehaviorManager$$$$$addBinding$$($componentClientId$$2$$, $boundComponentId$$, $behaviorComponent$$6$$, $command$$8$$, $commandParameter$$, $propertyName$$38$$, $eventType$$36$$) {
  for (var $length$$32_richTextEditorComponent$$ = this.$_queuedBindings$.length, $i$$111$$ = 0;$i$$111$$ < $length$$32_richTextEditorComponent$$;$i$$111$$++) {
    var $observerObj$$ = this.$_queuedBindings$[$i$$111$$];
    if ($observerObj$$.$componentId$ == $componentClientId$$2$$ && $observerObj$$.$boundComponentId$ == $boundComponentId$$ && $observerObj$$.$command$ == $command$$8$$) {
      return $observerObj$$.$commandParameter$ = $commandParameter$$, !1;
    }
  }
  $length$$32_richTextEditorComponent$$ = $AdfPage$$.$PAGE$.$findComponent$($componentClientId$$2$$);
  if (null != $length$$32_richTextEditorComponent$$ && 0 <= $AdfCollections$$.indexOf(this.$_registeredComponents$, $componentClientId$$2$$)) {
    return $length$$32_richTextEditorComponent$$.$getPeer$().$addBinding$($boundComponentId$$, $behaviorComponent$$6$$, $command$$8$$, $commandParameter$$, $propertyName$$38$$, $eventType$$36$$), !0;
  }
  this.$_queuedBindings$.push({$componentId$:$componentClientId$$2$$, $boundComponentId$:$boundComponentId$$, $command$:$command$$8$$, $commandParameter$:$commandParameter$$, propertyName:$propertyName$$38$$, $eventType$:$eventType$$36$$});
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichTextEditorBehaviorManager.prototype.addBinding", {$addBinding$:$AdfRichTextEditorBehaviorManager$$.prototype.$addBinding$});
$AdfRichTextEditorBehaviorManager$$.prototype.$registerComponent$ = function $$AdfRichTextEditorBehaviorManager$$$$$registerComponent$$($component$$262_peer$$46$$) {
  var $componentId$$12$$ = $component$$262_peer$$46$$.$getClientId$();
  $component$$262_peer$$46$$ = $component$$262_peer$$46$$.$getPeer$();
  this.$_registeredComponents$.push($componentId$$12$$);
  for (var $bindings$$ = this.$_queuedBindings$, $newBindings$$ = [], $length$$33$$ = $bindings$$.length, $i$$112$$ = 0;$i$$112$$ < $length$$33$$;$i$$112$$++) {
    var $binding$$ = $bindings$$[$i$$112$$], $behaviorComponent$$7$$ = $AdfPage$$.$PAGE$.$findComponent$($binding$$.$boundComponentId$), $richTextEditor$$ = $AdfPage$$.$PAGE$.$findComponent$($binding$$.$componentId$), $realRichTextEditorId$$ = null;
    null != $richTextEditor$$ && ($realRichTextEditorId$$ = $richTextEditor$$.$getClientId$());
    $realRichTextEditorId$$ == $componentId$$12$$ ? $component$$262_peer$$46$$.$addBinding$($binding$$.$boundComponentId$, $behaviorComponent$$7$$, $binding$$.$command$, $binding$$.$commandParameter$, $binding$$.propertyName, $binding$$.$eventType$) : $newBindings$$.push($binding$$);
  }
  this.$_queuedBindings$ = $newBindings$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichTextEditorBehaviorManager.prototype.registerComponent", {$registerComponent$:$AdfRichTextEditorBehaviorManager$$.prototype.$registerComponent$});
$AdfRichTextEditorBehaviorManager$$.prototype.$unregisterComponent$ = function $$AdfRichTextEditorBehaviorManager$$$$$unregisterComponent$$($component$$263$$) {
  $AdfCollections$$.$removeValue$(this.$_registeredComponents$, $component$$263$$.$getClientId$());
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichTextEditorBehaviorManager.prototype.unregisterComponent", {$unregisterComponent$:$AdfRichTextEditorBehaviorManager$$.prototype.$unregisterComponent$});
$AdfRichTextEditorBehaviorManager$$.prototype.$isComponentIdRegistered$ = function $$AdfRichTextEditorBehaviorManager$$$$$isComponentIdRegistered$$($componentId$$13$$) {
  return 0 <= $AdfCollections$$.indexOf(this.$_registeredComponents$, $componentId$$13$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichTextEditorBehaviorManager.prototype.isComponentIdRegistered", {$isComponentIdRegistered$:$AdfRichTextEditorBehaviorManager$$.prototype.$isComponentIdRegistered$});
